Bug 117321 - version/release makes old package appear newer
Summary: version/release makes old package appear newer
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tcpdump (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-02 20:28 UTC by Gene Czarcinski
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-03 20:10:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gene Czarcinski 2004-03-02 20:28:10 UTC
Description of problem:
FC1 was shipped with tcpdump-3.7.2-7.1, libpcap-0.7.2-7.1, and
arpwatch-2.1all-7.1.  The recently announced updated are
tcpdump-3.7.2-7.fc1.1, libpcap-0.7.2-7.fc1.1 and arpwatch-2.1all-7.fc1.1

In each of these cases, rpm and up2date consider the older package to
be "newer" than the update.  Therefore the updated packages are
ignored.  Given the dependency that many have on up2date selecting the
packages to be updated, this is not a reasonable situation.

Comment 1 shrek-m 2004-03-02 23:49:27 UTC
i found the thread i was looking for
"alpha vs numeric"
http://www.redhat.com/archives/fedora-legacy-list/2003-November/msg00192.html

asymmetric triggering bug ??

3.7.2-7.fc1.1  <  3.7.2-7.1
        f      <          1

Comment 3 Thomas Chung 2004-03-03 18:01:25 UTC
Hello,

I have updated Fedora Update Advisory page for tcpdump at
FedoraNEWS.ORG with this issue.

http://fedoranews.org/updates/FEDORA-2004-090.shtml

Thomas Chung
FedoraNEWS.ORG (http://fedoranews.org)

Comment 4 Alexandre Oliva 2004-03-03 20:10:08 UTC
A testing build containing the fix was uploaded to the testing
channel, with a newer version number than the one that was in the
testing channel before.  This should fix it.  It did for me :-) 
Thanks, Harald (or whoever it was that built the package :-)


Note You need to log in before you can comment on or make changes to this bug.